%def_without test
%define module_name WebService-Lobid-Organisation
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(Log/Any.pm) perl(Moo.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00421
Release: alt1
Summary: interface to the lobid-Organisations API
Group: Development/Perl
License: gpl
URL: https://github.com/hatorikibble/webservice-lobid-organisations

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMAYR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $Library = WebService::Lobid::Organisation->new(isil=> 'DE-380');
 
 printf("This Library is called '%%s', its homepage is at '%%s' 
         and it can be found at %%f/%%f",
     $Library->name, $Library->url, $Library->lat, $Library->long);
 
 print $Library->url->scheme; 

 if ($Library->has_wikipedia){
  printf("%%s has its own wikipedia entry: %%s",
     $Library->name, $Library->wikipedia);
 } 
 
 if ($Library->has_multiple_emails){
  print $Library->email->[0];
  print $Library->email->[0]->user;
 }else{
  print $Library->email;
  print $Library->email->user;
 }

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/W*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.00421-alt1
- regenerated from template by package builder

* Sat Jan 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.0042-alt1
- regenerated from template by package builder

* Fri Dec 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.0031-alt1
- initial import by package builder

